# Uses of Class
com.microsoft.sqlserver.jdbc.dataclassification.Label

Packages that use Label
Package
Description
com.microsoft.sqlserver.jdbc.dataclassification

## Uses of Label in com.microsoft.sqlserver.jdbc.dataclassification

Methods in com.microsoft.sqlserver.jdbc.dataclassification that return Label
Modifier and Type
Method
Description
`Label`
SensitivityProperty.`getLabel()`
Returns the label data for this `SensitivityProperty` Object
Methods in com.microsoft.sqlserver.jdbc.dataclassification that return types with arguments of type Label
Modifier and Type
Method
Description
`List<Label>`
SensitivityClassification.`getLabels()`
Returns the labels for this `SensitivityClassification` Object
Constructors in com.microsoft.sqlserver.jdbc.dataclassification with parameters of type Label
Modifier
Constructor
Description
``
`SensitivityProperty​(Label label, InformationType informationType)`
Constructs a SensitivityProperty
``
`SensitivityProperty​(Label label, InformationType informationType, int sensitivityRank)`
Constructs a SensitivityProperty
Constructor parameters in com.microsoft.sqlserver.jdbc.dataclassification with type arguments of type Label
Modifier
Constructor
Description
``
`SensitivityClassification​(List<Label> labels, List<InformationType> informationTypes, List<ColumnSensitivity> columnSensitivity)`
Constructs a `SensitivityClassification` Object
``
`SensitivityClassification​(List<Label> labels, List<InformationType> informationTypes, List<ColumnSensitivity> columnSensitivity, int sensitivityRank)`
Constructs a `SensitivityClassification` Object